#pragma once

#include "core/models/DOMMessage.h"

namespace softbus::message_bus::pipeline::stages::filters
{

class IFilterStage
{
public:
    virtual ~IFilterStage() = default;
    virtual bool process(softbus::core::models::DOMMessage& message) = 0;
};

} // namespace softbus::message_bus::pipeline::stages::filters
